
namespace Updater;

internal enum ExitCodes : int
{
    SUCCESS = 0,
    ERROR_UNKNOWN = 1,
    ERROR_ARGUMENTS = 2,
    // ERROR_INVALID_BUILD_TARGET = 3, // Unused
    ERROR_INTERRUPT = 4,
    // ERROR_INVALID_LICENSE = 10, // Unused
    ERROR_INVALID_CURRENT_VERSION = 11,
    ERROR_VERSION_NO_ROUTE = 12,
    ERROR_DOWNLOAD_LATEST_VERSION = 20,
    ERROR_DOWNLOAD_VERSION_INFO = 21,
    ERROR_DOWNLOAD_UPDATE = 22,
    ERROR_DOWNLOAD_CORE = 23,
    ERROR_OPEN_UPDATE = 30,
    // ERROR_DECLINE_LICENSE = 31, // Unused
    ERROR_APPLY_UPDATE = 32,
    ERROR_FINALIZE_ARCHIVES = 33,
    ERROR_TOUCH_ARCHIVES = 34,
    // ERROR_RUN_CORE = 40 // Unused
    ERROR_VERSION_MISMATCH = 41,
    ERROR_PENDING_UPDATE = 42,
};
